SAB(4)

NAME
sab - Infineon SAB82532 (ESCC2) serial communications driver

SYNOPSIS
sab* at ebus?
sabtty* at sab?

DESCRIPTION
The sab is an Infineon (formerly Siemens) SAB82532 (ESCC2) serial interface chip used in PCI-based UltraSPARC Sun workstations. The ESCC2 provides two independent input/output channels per instance. These chips are normally used to provide RS-423 and RS232 serial ports for general purpose use.

The sab driver supports all of the standard tty(4) ioctl calls. The status of the DTR, RTS, CTS, and DCD signals can be queried with TIOCMGET command, but, due to limitations in the hardware, only the DTR and RTS signals can be modified with TIOCMSET, TIOCMBIC, and TIOCMBIS ioctl(2) commands.

FILES
/dev/ttyh[0-1]
    Serial ports

SEE ALSO
ioctl(2), ebus(4), intro(4), tty(4)

HISTORY
The sab driver first appeared in OpenBSD 3.1.

BUGS
The sab does not support cua minor devices.